# QSize Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QSize()
- void QSize(int w, int h)

### Constructor Properties

- prototype: The QSize prototype object

### Prototype Object Properties

- QSize boundedTo(QSize arg__1)
- QSize expandedTo(QSize arg__1)
- int height()
- bool isEmpty()
- bool isNull()
- bool isValid()
- QSize operator_add_assign(QSize arg__1)
- QSize operator_divide_assign(qreal c)
- bool operator_equal(QSize s2)
- QSize operator_multiply_assign(qreal c)
- QSize operator_subtract_assign(QSize arg__1)
- void readFrom(QDataStream arg__1)
- void scale(QSize s, AspectRatioMode mode)
- void setHeight(int h)
- void setWidth(int w)
- void transpose()
- int width()
- void writeTo(QDataStream arg__1)

### Instance Properties

QSize objects have no special properties beyond those inherited from the QSize prototype object.